function [alfa,beta]=bound(dd,bb)
% BOUND calcolo dell'intervallo [ALPHA,BETA] per il metodo delle successioni
% di Sturm.
% [ALFA,BETA]=BOUND(DD,BB)
n=length(dd);
alfa=dd(1)-abs(bb(1));
temp=dd(n)-abs(bb(n-1));
if temp < alpha
    alfa=temp;
end
for i=2:n-1
    temp=dd(i)-abs(bb(i-1))-abs(bb(i));
    if temp < alpha
        alfa=temp;
    end
end
beta=dd(1)+abs(bb(1)); temp=dd(n)+abs(bb(n-1));
if temp > beta
    beta=temp;
end
for i=2:n-1
    temp=dd(i)+abs(bb(i-1))+abs(bb(i));
    if temp > beta
        beta=temp;
    end
end
return
