function [a,b]=coeflagu(n)
% COEFLAGU coefficienti dei polinomi di Laguerre.
%   [A,B]=COEFLAGU(N): A e B sono i coefficienti alpha(k) e beta(k)
%   del polinomio di Laguerre di grado N.
if n<=1, error('n deve essere >1 '); end
a=zeros(n,1); b=zeros(n,1); a(1)=1; b(1)=1;
k=[2:n]; a(k)=2*(k-1)+1; b(k)=(k-1).^2;
return
