function [a,b]=coeflege(n)
% COEFLEGE coefficienti dei polinomi di Legendre.
%   [A,B]=COEFLEGE(N): A e B sono i coefficienti alpha(k) e beta(k)
%   del polinomio di Legendre di grado N.
if n<=1, error('n deve essere >1');end
a = zeros(n,1); b=a; b(1)=2;
k=[2:n]; b(k)=1./(4-1./(k-1).^2);
return
