function fc=dft(N,f)
% DFT trasformata Discreta di Fourier.
% FC=DFT(N,F) calcola i coefficienti della trasformata discreta di
% Fourier di una funzione F.
h = 2*pi/N; x=0:h:2*pi*(1-1/N);
fx = f(x); wn = exp(-1i*h);
fc=zeros(N,1);
for k=0:N-1,
    s = 0;
    for j=0:N-1
        s = s + fx(j+1)*wn^((k-N/2)*j);
    end
    fc (k+1) = s/N;
end
return
