function int = midpntc(a,b,m,fun)
% MIDPNTC formula composita del punto medio.
% INT=MIDPNTC(A,B,M,FUN) calcola un'approssimazione dell'integrale della
% funzione FUN su (A,B) con il metodo del punto medio su una griglia uniforme
% di M intervalli. FUN riceve in ingresso un vettore x e restituisce un vettore.
h=(b-a)/m;
x=[a+h/2:h:b];
y=fun(x);
if size(y)==1
    dim=length(x);
    y=y.*ones(dim,1);
end
int=h*sum(y);
return
