function [x,w]=zplege(n)
% ZPLEGE formula di quadratura Legendre-Gauss
% [X,W]=ZPLEGE(N) calcola nodi e pesi della formula di Legendre-Gauss a N+1 nodi.
if n<1, error('n deve essere >=1'); end
np=n+1;
[a,b]=coeflege(np);
JacM=diag(a)+diag(sqrt(b(2:np)),1)+diag(sqrt(b(2:np)),-1);
[w,x]=eig(JacM); x=diag(x); scal=2; w=w(1,:)'.^2*scal;
[x,ind]=sort(x); w=w(ind);
return
