function fv = idft(N,fc)
% IDFT inversa della trasformata Discreta di Fourier.
% FV=IDFT(N,F) calcola i coefficienti dell'inversa della trasformata
% discreta di Fourier di una funzione F.
h  = 2*pi/N; wn = exp(-1i*h);
fv=zeros(N,1);
for j=0:N-1
   s = 0;
   for k=0:N-1
      s = s + fc(k+1)*wn^(-j*(k-N/2));
   end
   fv (j+1) = s;
end
return
