function [x] = modthomas (a,b,c,f)
% MODTHOMAS versione modificata dell'algoritmo di Thomas.
%  X=MODTHOMAS(A,B,C,F) risolve il sistema T*X=F, dove T
%  e` la matrice tridiagonale T=tridiag(B,A,C).
n=length(a);
b=[0; b];
c=[c; 0];
gamma(1)=1/a(1);
for i=2:n
    gamma(i)=1/(a(i)-b(i)*gamma(i-1)*c(i-1));
end
y(1)=gamma(1)*f (1);
for i =2:n
    y(i)=gamma(i)*(f(i)-b(i)*y(i-1));
end
x(n,1)=y(n);
for i=n-1:-1:1
    x(i,1)=y(i)-gamma(i)*c(i)*x(i+1,1);
end
return
