function [psi]=psinorm(A)
% PSINORM calcolo di Psi(A).
% [PSI]=PSINORM(A)
[n,m]=size(A);
if n~=m, error('Solo matrici quadrate'); end
psi=0;
for i=1:n
    j=i+1:n;
    psi=psi+sum(A(i,j).^2)+sum(A(j,i).^2);
end
psi=sqrt(psi);
return
