function [p]=sturm(dd,bb,x)
% STURM successione di Sturm.
% P=STURM(DD,BB,X) calcola la successione di Sturm in X.
n=length(dd);
p(1)=1;
p(2)=dd(1)-x;
for i=2:n
    p(i+1)=(dd(i)-x)*p(i)-bb(i-1)^2*p(i-1);
end
return
